<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications.
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2014, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT
 * @link      http://cibonfire.com
 * @since     Version 1.0
 * @filesource
 */

//------------------------------------------------------------------------------
// Countries
//------------------------------------------------------------------------------
$config['address.countries'] = array(
    'AF' => array('name' => 'AFGHANISTAN', 'printable' => 'Afghanistan', 'iso3' => 'AFG'),
    'AX' => array('name' => 'ÅLAND ISLANDS', 'printable' => 'Åland Islands', 'iso3' => 'ALA'),
    'AL' => array('name' => 'ALBANIA', 'printable' => 'Albania', 'iso3' => 'ALB'),
    'DZ' => array('name' => 'ALGERIA', 'printable' => 'Algeria', 'iso3' => 'DZA'),
    'AS' => array('name' => 'AMERICAN SAMOA', 'printable' => 'American Samoa', 'iso3' => 'ASM'),
    'AD' => array('name' => 'ANDORRA', 'printable' => 'Andorra', 'iso3' => 'AND'),
    'AO' => array('name' => 'ANGOLA', 'printable' => 'Angola', 'iso3' => 'AGO'),
    'AI' => array('name' => 'ANGUILLA', 'printable' => 'Anguilla', 'iso3' => 'AIA'),
    'AQ' => array('name' => 'ANTARCTICA', 'printable' => 'Antarctica', 'iso3' => 'ATA'),
    'AG' => array('name' => 'ANTIGUA AND BARBUDA', 'printable' => 'Antigua and Barbuda', 'iso3' => 'ATG'),
    'AR' => array('name' => 'ARGENTINA', 'printable' => 'Argentina', 'iso3' => 'ARG'),
    'AM' => array('name' => 'ARMENIA', 'printable' => 'Armenia', 'iso3' => 'ARM'),
    'AW' => array('name' => 'ARUBA', 'printable' => 'Aruba', 'iso3' => 'ABW'),
    'AU' => array('name' => 'AUSTRALIA', 'printable' => 'Australia', 'iso3' => 'AUS'),
    'AT' => array('name' => 'AUSTRIA', 'printable' => 'Austria', 'iso3' => 'AUT'),
    'AZ' => array('name' => 'AZERBAIJAN', 'printable' => 'Azerbaijan', 'iso3' => 'AZE'),
    'BS' => array('name' => 'BAHAMAS', 'printable' => 'Bahamas', 'iso3' => 'BHS'),
    'BH' => array('name' => 'BAHRAIN', 'printable' => 'Bahrain', 'iso3' => 'BHR'),
    'BD' => array('name' => 'BANGLADESH', 'printable' => 'Bangladesh', 'iso3' => 'BGD'),
    'BB' => array('name' => 'BARBADOS', 'printable' => 'Barbados', 'iso3' => 'BRB'),
    'BY' => array('name' => 'BELARUS', 'printable' => 'Belarus', 'iso3' => 'BLR'),
    'BE' => array('name' => 'BELGIUM', 'printable' => 'Belgium', 'iso3' => 'BEL'),
    'BZ' => array('name' => 'BELIZE', 'printable' => 'Belize', 'iso3' => 'BLZ'),
    'BJ' => array('name' => 'BENIN', 'printable' => 'Benin', 'iso3' => 'BEN'),
    'BM' => array('name' => 'BERMUDA', 'printable' => 'Bermuda', 'iso3' => 'BMU'),
    'BT' => array('name' => 'BHUTAN', 'printable' => 'Bhutan', 'iso3' => 'BTN'),
    'BO' => array('name' => 'BOLIVIA', 'printable' => 'Bolivia', 'iso3' => 'BOL'),
    'BA' => array('name' => 'BOSNIA AND HERZEGOVINA', 'printable' => 'Bosnia and Herzegovina', 'iso3' => 'BIH'),
    'BW' => array('name' => 'BOTSWANA', 'printable' => 'Botswana', 'iso3' => 'BWA'),
    'BV' => array('name' => 'BOUVET ISLAND', 'printable' => 'Bouvet Island', 'iso3' => 'BVT'),
    'BR' => array('name' => 'BRAZIL', 'printable' => 'Brazil', 'iso3' => 'BRA'),
    'IO' => array('name' => 'BRITISH INDIAN OCEAN TERRITORY', 'printable' => 'British Indian Ocean Territory', 'iso3' => 'IOT'),
    'BN' => array('name' => 'BRUNEI DARUSSALAM', 'printable' => 'Brunei Darussalam', 'iso3' => 'BRN'),
    'BG' => array('name' => 'BULGARIA', 'printable' => 'Bulgaria', 'iso3' => 'BGR'),
    'BF' => array('name' => 'BURKINA FASO', 'printable' => 'Burkina Faso', 'iso3' => 'BFA'),
    'BI' => array('name' => 'BURUNDI', 'printable' => 'Burundi', 'iso3' => 'BDI'),
    'KH' => array('name' => 'CAMBODIA', 'printable' => 'Cambodia', 'iso3' => 'KHM'),
    'CM' => array('name' => 'CAMEROON', 'printable' => 'Cameroon', 'iso3' => 'CMR'),
    'CA' => array('name' => 'CANADA', 'printable' => 'Canada', 'iso3' => 'CAN'),
    'BQ' => array('name' => 'CARIBBEAN NETHERLANDS', 'printable' => 'Caribbean Netherlands', 'iso3' => 'BES'),
    'CV' => array('name' => 'CAPE VERDE', 'printable' => 'Cape Verde', 'iso3' => 'CPV'),
    'KY' => array('name' => 'CAYMAN ISLANDS', 'printable' => 'Cayman Islands', 'iso3' => 'CYM'),
    'CF' => array('name' => 'CENTRAL AFRICAN REPUBLIC', 'printable' => 'Central African Republic', 'iso3' => 'CAF'),
    'TD' => array('name' => 'CHAD', 'printable' => 'Chad', 'iso3' => 'TCD'),
    'CL' => array('name' => 'CHILE', 'printable' => 'Chile', 'iso3' => 'CHL'),
    'CN' => array('name' => 'CHINA', 'printable' => 'China', 'iso3' => 'CHN'),
    'CX' => array('name' => 'CHRISTMAS ISLAND', 'printable' => 'Christmas Island', 'iso3' => 'CXR'),
    'CC' => array('name' => 'COCOS (KEELING) ISLANDS', 'printable' => 'Cocos (Keeling) Islands', 'iso3' => 'CCK'),
    'CO' => array('name' => 'COLOMBIA', 'printable' => 'Colombia', 'iso3' => 'COL'),
    'KM' => array('name' => 'COMOROS', 'printable' => 'Comoros', 'iso3' => 'COM'),
    'CG' => array('name' => 'CONGO', 'printable' => 'Congo', 'iso3' => 'COG'),
    'CD' => array('name' => 'CONGO, THE DEMOCRATIC REPUBLIC OF THE', 'printable' => 'Congo, the Democratic Republic of the', 'iso3' => 'COD'),
    'CK' => array('name' => 'COOK ISLANDS', 'printable' => 'Cook Islands', 'iso3' => 'COK'),
    'CR' => array('name' => 'COSTA RICA', 'printable' => 'Costa Rica', 'iso3' => 'CRI'),
    'CI' => array('name' => 'COTE D\'IVOIRE', 'printable' => 'Cote D\'Ivoire', 'iso3' => 'CIV'),
    'HR' => array('name' => 'CROATIA', 'printable' => 'Croatia', 'iso3' => 'HRV'),
    'CU' => array('name' => 'CUBA', 'printable' => 'Cuba', 'iso3' => 'CUB'),
    'CW' => array('name' => 'CURAÇAO', 'printable' => 'Curaçao', 'iso3' => 'CUW'),
    'CY' => array('name' => 'CYPRUS', 'printable' => 'Cyprus', 'iso3' => 'CYP'),
    'CZ' => array('name' => 'CZECH REPUBLIC', 'printable' => 'Czech Republic', 'iso3' => 'CZE'),
    'DK' => array('name' => 'DENMARK', 'printable' => 'Denmark', 'iso3' => 'DNK'),
    'DJ' => array('name' => 'DJIBOUTI', 'printable' => 'Djibouti', 'iso3' => 'DJI'),
    'DM' => array('name' => 'DOMINICA', 'printable' => 'Dominica', 'iso3' => 'DMA'),
    'DO' => array('name' => 'DOMINICAN REPUBLIC', 'printable' => 'Dominican Republic', 'iso3' => 'DOM'),
    'EC' => array('name' => 'ECUADOR', 'printable' => 'Ecuador', 'iso3' => 'ECU'),
    'EG' => array('name' => 'EGYPT', 'printable' => 'Egypt', 'iso3' => 'EGY'),
    'SV' => array('name' => 'EL SALVADOR', 'printable' => 'El Salvador', 'iso3' => 'SLV'),
    'GQ' => array('name' => 'EQUATORIAL GUINEA', 'printable' => 'Equatorial Guinea', 'iso3' => 'GNQ'),
    'ER' => array('name' => 'ERITREA', 'printable' => 'Eritrea', 'iso3' => 'ERI'),
    'EE' => array('name' => 'ESTONIA', 'printable' => 'Estonia', 'iso3' => 'EST'),
    'ET' => array('name' => 'ETHIOPIA', 'printable' => 'Ethiopia', 'iso3' => 'ETH'),
    'FK' => array('name' => 'FALKLAND ISLANDS (MALVINAS)', 'printable' => 'Falkland Islands (Malvinas)', 'iso3' => 'FLK'),
    'FO' => array('name' => 'FAROE ISLANDS', 'printable' => 'Faroe Islands', 'iso3' => 'FRO'),
    'FJ' => array('name' => 'FIJI', 'printable' => 'Fiji', 'iso3' => 'FJI'),
    'FI' => array('name' => 'FINLAND', 'printable' => 'Finland', 'iso3' => 'FIN'),
    'FR' => array('name' => 'FRANCE', 'printable' => 'France', 'iso3' => 'FRA'),
    'GF' => array('name' => 'FRENCH GUIANA', 'printable' => 'French Guiana', 'iso3' => 'GUF'),
    'PF' => array('name' => 'FRENCH POLYNESIA', 'printable' => 'French Polynesia', 'iso3' => 'PYF'),
    'TF' => array('name' => 'FRENCH SOUTHERN TERRITORIES', 'printable' => 'French Southern Territories', 'iso3' => 'ATF'),
    'GA' => array('name' => 'GABON', 'printable' => 'Gabon', 'iso3' => 'GAB'),
    'GM' => array('name' => 'GAMBIA', 'printable' => 'Gambia', 'iso3' => 'GMB'),
    'GE' => array('name' => 'GEORGIA', 'printable' => 'Georgia', 'iso3' => 'GEO'),
    'DE' => array('name' => 'GERMANY', 'printable' => 'Germany', 'iso3' => 'DEU'),
    'GH' => array('name' => 'GHANA', 'printable' => 'Ghana', 'iso3' => 'GHA'),
    'GI' => array('name' => 'GIBRALTAR', 'printable' => 'Gibraltar', 'iso3' => 'GIB'),
    'GR' => array('name' => 'GREECE', 'printable' => 'Greece', 'iso3' => 'GRC'),
    'GL' => array('name' => 'GREENLAND', 'printable' => 'Greenland', 'iso3' => 'GRL'),
    'GD' => array('name' => 'GRENADA', 'printable' => 'Grenada', 'iso3' => 'GRD'),
    'GP' => array('name' => 'GUADELOUPE', 'printable' => 'Guadeloupe', 'iso3' => 'GLP'),
    'GU' => array('name' => 'GUAM', 'printable' => 'Guam', 'iso3' => 'GUM'),
    'GT' => array('name' => 'GUATEMALA', 'printable' => 'Guatemala', 'iso3' => 'GTM'),
    'GG' => array('name' => 'GUERNSEY', 'printable' => 'Guernsey', 'iso3' => 'GGY'),
    'GN' => array('name' => 'GUINEA', 'printable' => 'Guinea', 'iso3' => 'GIN'),
    'GW' => array('name' => 'GUINEA-BISSAU', 'printable' => 'Guinea-Bissau', 'iso3' => 'GNB'),
    'GY' => array('name' => 'GUYANA', 'printable' => 'Guyana', 'iso3' => 'GUY'),
    'HT' => array('name' => 'HAITI', 'printable' => 'Haiti', 'iso3' => 'HTI'),
    'HM' => array('name' => 'HEARD ISLAND AND MCDONALD ISLANDS', 'printable' => 'Heard Island and Mcdonald Islands', 'iso3' => 'HMD'),
    'VA' => array('name' => 'HOLY SEE (VATICAN CITY STATE)', 'printable' => 'Holy See (Vatican City State)', 'iso3' => 'VAT'),
    'HN' => array('name' => 'HONDURAS', 'printable' => 'Honduras', 'iso3' => 'HND'),
    'HK' => array('name' => 'HONG KONG', 'printable' => 'Hong Kong', 'iso3' => 'HKG'),
    'HU' => array('name' => 'HUNGARY', 'printable' => 'Hungary', 'iso3' => 'HUN'),
    'IS' => array('name' => 'ICELAND', 'printable' => 'Iceland', 'iso3' => 'ISL'),
    'IN' => array('name' => 'INDIA', 'printable' => 'India', 'iso3' => 'IND'),
    'ID' => array('name' => 'INDONESIA', 'printable' => 'Indonesia', 'iso3' => 'IDN'),
    'IR' => array('name' => 'IRAN, ISLAMIC REPUBLIC OF', 'printable' => 'Iran, Islamic Republic of', 'iso3' => 'IRN'),
    'IQ' => array('name' => 'IRAQ', 'printable' => 'Iraq', 'iso3' => 'IRQ'),
    'IE' => array('name' => 'IRELAND', 'printable' => 'Ireland', 'iso3' => 'IRL'),
    'IM' => array('name' => 'ISLE OF MAN', 'printable' => 'Isle of Man', 'iso3' => 'IMN'),
    'IL' => array('name' => 'ISRAEL', 'printable' => 'Israel', 'iso3' => 'ISR'),
    'IT' => array('name' => 'ITALY', 'printable' => 'Italy', 'iso3' => 'ITA'),
    'JM' => array('name' => 'JAMAICA', 'printable' => 'Jamaica', 'iso3' => 'JAM'),
    'JP' => array('name' => 'JAPAN', 'printable' => 'Japan', 'iso3' => 'JPN'),
    'JE' => array('name' => 'JERSEY', 'printable' => 'Jersey', 'iso3' => 'JEY'),
    'JO' => array('name' => 'JORDAN', 'printable' => 'Jordan', 'iso3' => 'JOR'),
    'KZ' => array('name' => 'KAZAKHSTAN', 'printable' => 'Kazakhstan', 'iso3' => 'KAZ'),
    'KE' => array('name' => 'KENYA', 'printable' => 'Kenya', 'iso3' => 'KEN'),
    'KI' => array('name' => 'KIRIBATI', 'printable' => 'Kiribati', 'iso3' => 'KIR'),
    'KP' => array('name' => 'KOREA, DEMOCRATIC PEOPLE\'S REPUBLIC OF', 'printable' => 'Korea, Democratic People\'s Republic of', 'iso3' => 'PRK'),
    'KR' => array('name' => 'KOREA, REPUBLIC OF', 'printable' => 'Korea, Republic of', 'iso3' => 'KOR'),
    'KW' => array('name' => 'KUWAIT', 'printable' => 'Kuwait', 'iso3' => 'KWT'),
    'KG' => array('name' => 'KYRGYZSTAN', 'printable' => 'Kyrgyzstan', 'iso3' => 'KGZ'),
    'LA' => array('name' => 'LAO PEOPLE\'S DEMOCRATIC REPUBLIC', 'printable' => 'Lao People\'s Democratic Republic', 'iso3' => 'LAO'),
    'LV' => array('name' => 'LATVIA', 'printable' => 'Latvia', 'iso3' => 'LVA'),
    'LB' => array('name' => 'LEBANON', 'printable' => 'Lebanon', 'iso3' => 'LBN'),
    'LS' => array('name' => 'LESOTHO', 'printable' => 'Lesotho', 'iso3' => 'LSO'),
    'LR' => array('name' => 'LIBERIA', 'printable' => 'Liberia', 'iso3' => 'LBR'),
    'LY' => array('name' => 'LIBYAN ARAB JAMAHIRIYA', 'printable' => 'Libyan Arab Jamahiriya', 'iso3' => 'LBY'),
    'LI' => array('name' => 'LIECHTENSTEIN', 'printable' => 'Liechtenstein', 'iso3' => 'LIE'),
    'LT' => array('name' => 'LITHUANIA', 'printable' => 'Lithuania', 'iso3' => 'LTU'),
    'LU' => array('name' => 'LUXEMBOURG', 'printable' => 'Luxembourg', 'iso3' => 'LUX'),
    'MO' => array('name' => 'MACAO', 'printable' => 'Macao', 'iso3' => 'MAC'),
    'MK' => array('name' => 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF', 'printable' => 'Macedonia, the Former Yugoslav Republic of', 'iso3' => 'MKD'),
    'MG' => array('name' => 'MADAGASCAR', 'printable' => 'Madagascar', 'iso3' => 'MDG'),
    'MW' => array('name' => 'MALAWI', 'printable' => 'Malawi', 'iso3' => 'MWI'),
    'MY' => array('name' => 'MALAYSIA', 'printable' => 'Malaysia', 'iso3' => 'MYS'),
    'MV' => array('name' => 'MALDIVES', 'printable' => 'Maldives', 'iso3' => 'MDV'),
    'ML' => array('name' => 'MALI', 'printable' => 'Mali', 'iso3' => 'MLI'),
    'MT' => array('name' => 'MALTA', 'printable' => 'Malta', 'iso3' => 'MLT'),
    'MH' => array('name' => 'MARSHALL ISLANDS', 'printable' => 'Marshall Islands', 'iso3' => 'MHL'),
    'MQ' => array('name' => 'MARTINIQUE', 'printable' => 'Martinique', 'iso3' => 'MTQ'),
    'MR' => array('name' => 'MAURITANIA', 'printable' => 'Mauritania', 'iso3' => 'MRT'),
    'MU' => array('name' => 'MAURITIUS', 'printable' => 'Mauritius', 'iso3' => 'MUS'),
    'YT' => array('name' => 'MAYOTTE', 'printable' => 'Mayotte', 'iso3' => 'MYT'),
    'MX' => array('name' => 'MEXICO', 'printable' => 'Mexico', 'iso3' => 'MEX'),
    'FM' => array('name' => 'MICRONESIA, FEDERATED STATES OF', 'printable' => 'Micronesia, Federated States of', 'iso3' => 'FSM'),
    'MD' => array('name' => 'MOLDOVA, REPUBLIC OF', 'printable' => 'Moldova, Republic of', 'iso3' => 'MDA'),
    'MC' => array('name' => 'MONACO', 'printable' => 'Monaco', 'iso3' => 'MCO'),
    'MN' => array('name' => 'MONGOLIA', 'printable' => 'Mongolia', 'iso3' => 'MNG'),
    'ME' => array('name' => 'MONTENEGRO', 'printable' => 'Montenegro', 'iso3' => 'MNE'),
    'MS' => array('name' => 'MONTSERRAT', 'printable' => 'Montserrat', 'iso3' => 'MSR'),
    'MA' => array('name' => 'MOROCCO', 'printable' => 'Morocco', 'iso3' => 'MAR'),
    'MZ' => array('name' => 'MOZAMBIQUE', 'printable' => 'Mozambique', 'iso3' => 'MOZ'),
    'MM' => array('name' => 'MYANMAR', 'printable' => 'Myanmar', 'iso3' => 'MMR'),
    'NA' => array('name' => 'NAMIBIA', 'printable' => 'Namibia', 'iso3' => 'NAM'),
    'NR' => array('name' => 'NAURU', 'printable' => 'Nauru', 'iso3' => 'NRU'),
    'NP' => array('name' => 'NEPAL', 'printable' => 'Nepal', 'iso3' => 'NPL'),
    'NL' => array('name' => 'NETHERLANDS', 'printable' => 'Netherlands', 'iso3' => 'NLD'),
    'AN' => array('name' => 'NETHERLANDS ANTILLES', 'printable' => 'Netherlands Antilles', 'iso3' => 'ANT'), // Split into CW, SX, and BQ
    'NC' => array('name' => 'NEW CALEDONIA', 'printable' => 'New Caledonia', 'iso3' => 'NCL'),
    'NZ' => array('name' => 'NEW ZEALAND', 'printable' => 'New Zealand', 'iso3' => 'NZL'),
    'NI' => array('name' => 'NICARAGUA', 'printable' => 'Nicaragua', 'iso3' => 'NIC'),
    'NE' => array('name' => 'NIGER', 'printable' => 'Niger', 'iso3' => 'NER'),
    'NG' => array('name' => 'NIGERIA', 'printable' => 'Nigeria', 'iso3' => 'NGA'),
    'NU' => array('name' => 'NIUE', 'printable' => 'Niue', 'iso3' => 'NIU'),
    'NF' => array('name' => 'NORFOLK ISLAND', 'printable' => 'Norfolk Island', 'iso3' => 'NFK'),
    'MP' => array('name' => 'NORTHERN MARIANA ISLANDS', 'printable' => 'Northern Mariana Islands', 'iso3' => 'MNP'),
    'NO' => array('name' => 'NORWAY', 'printable' => 'Norway', 'iso3' => 'NOR'),
    'OM' => array('name' => 'OMAN', 'printable' => 'Oman', 'iso3' => 'OMN'),
    'PK' => array('name' => 'PAKISTAN', 'printable' => 'Pakistan', 'iso3' => 'PAK'),
    'PW' => array('name' => 'PALAU', 'printable' => 'Palau', 'iso3' => 'PLW'),
    'PS' => array('name' => 'PALESTINIAN TERRITORY, OCCUPIED', 'printable' => 'Palestinian Territory, Occupied', 'iso3' => null),
    'PA' => array('name' => 'PANAMA', 'printable' => 'Panama', 'iso3' => 'PAN'),
    'PG' => array('name' => 'PAPUA NEW GUINEA', 'printable' => 'Papua New Guinea', 'iso3' => 'PNG'),
    'PY' => array('name' => 'PARAGUAY', 'printable' => 'Paraguay', 'iso3' => 'PRY'),
    'PE' => array('name' => 'PERU', 'printable' => 'Peru', 'iso3' => 'PER'),
    'PH' => array('name' => 'PHILIPPINES', 'printable' => 'Philippines', 'iso3' => 'PHL'),
    'PN' => array('name' => 'PITCAIRN', 'printable' => 'Pitcairn', 'iso3' => 'PCN'),
    'PL' => array('name' => 'POLAND', 'printable' => 'Poland', 'iso3' => 'POL'),
    'PT' => array('name' => 'PORTUGAL', 'printable' => 'Portugal', 'iso3' => 'PRT'),
    'PR' => array('name' => 'PUERTO RICO', 'printable' => 'Puerto Rico', 'iso3' => 'PRI'),
    'QA' => array('name' => 'QATAR', 'printable' => 'Qatar', 'iso3' => 'QAT'),
    'RE' => array('name' => 'REUNION', 'printable' => 'Reunion', 'iso3' => 'REU'),
    'RO' => array('name' => 'ROMANIA', 'printable' => 'Romania', 'iso3' => 'ROM'),
    'RU' => array('name' => 'RUSSIAN FEDERATION', 'printable' => 'Russian Federation', 'iso3' => 'RUS'),
    'RW' => array('name' => 'RWANDA', 'printable' => 'Rwanda', 'iso3' => 'RWA'),
    'BL' => array('name' => 'SAINT BARTHÉLEMY', 'printable' => 'Saint Barthélemy', 'iso3' => 'BLM'),
    'SH' => array('name' => 'SAINT HELENA', 'printable' => 'Saint Helena', 'iso3' => 'SHN'),
    'KN' => array('name' => 'SAINT KITTS AND NEVIS', 'printable' => 'Saint Kitts and Nevis', 'iso3' => 'KNA'),
    'LC' => array('name' => 'SAINT LUCIA', 'printable' => 'Saint Lucia', 'iso3' => 'LCA'),
    'MF' => array('name' => 'SAINT MARTIN', 'printable' => 'Saint Martin', 'iso3' => 'MAF'),
    'PM' => array('name' => 'SAINT PIERRE AND MIQUELON', 'printable' => 'Saint Pierre and Miquelon', 'iso3' => 'SPM'),
    'VC' => array('name' => 'SAINT VINCENT AND THE GRENADINES', 'printable' => 'Saint Vincent and the Grenadines', 'iso3' => 'VCT'),
    'WS' => array('name' => 'SAMOA', 'printable' => 'Samoa', 'iso3' => 'WSM'),
    'SM' => array('name' => 'SAN MARINO', 'printable' => 'San Marino', 'iso3' => 'SMR'),
    'ST' => array('name' => 'SAO TOME AND PRINCIPE', 'printable' => 'Sao Tome and Principe', 'iso3' => 'STP'),
    'SA' => array('name' => 'SAUDI ARABIA', 'printable' => 'Saudi Arabia', 'iso3' => 'SAU'),
    'SN' => array('name' => 'SENEGAL', 'printable' => 'Senegal', 'iso3' => 'SEN'),
    'RS' => array('name' => 'SERBIA', 'printable' => 'Serbia', 'iso3' => 'SRB'),
    'CS' => array('name' => 'SERBIA AND MONTENEGRO', 'printable' => 'Serbia and Montenegro', 'iso3' => null), // Split into RS and ME
    'SC' => array('name' => 'SEYCHELLES', 'printable' => 'Seychelles', 'iso3' => 'SYC'),
    'SL' => array('name' => 'SIERRA LEONE', 'printable' => 'Sierra Leone', 'iso3' => 'SLE'),
    'SG' => array('name' => 'SINGAPORE', 'printable' => 'Singapore', 'iso3' => 'SGP'),
    'SX' => array('name' => 'SINT MAARTEN', 'printable' => 'Sint Maarten', 'iso3' => 'SXM'),
    'SK' => array('name' => 'SLOVAKIA', 'printable' => 'Slovakia', 'iso3' => 'SVK'),
    'SI' => array('name' => 'SLOVENIA', 'printable' => 'Slovenia', 'iso3' => 'SVN'),
    'SB' => array('name' => 'SOLOMON ISLANDS', 'printable' => 'Solomon Islands', 'iso3' => 'SLB'),
    'SO' => array('name' => 'SOMALIA', 'printable' => 'Somalia', 'iso3' => 'SOM'),
    'ZA' => array('name' => 'SOUTH AFRICA', 'printable' => 'South Africa', 'iso3' => 'ZAF'),
    'GS' => array('name' => 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS', 'printable' => 'South Georgia and the South Sandwich Islands', 'iso3' => 'SGS'),
    'SS' => array('name' => 'SOUTH SUDAN', 'printable' => 'South Sudan', 'iso3' => 'SSD'),
    'ES' => array('name' => 'SPAIN', 'printable' => 'Spain', 'iso3' => 'ESP'),
    'LK' => array('name' => 'SRI LANKA', 'printable' => 'Sri Lanka', 'iso3' => 'LKA'),
    'SD' => array('name' => 'SUDAN', 'printable' => 'Sudan', 'iso3' => 'SDN'),
    'SR' => array('name' => 'SURINAME', 'printable' => 'Suriname', 'iso3' => 'SUR'),
    'SJ' => array('name' => 'SVALBARD AND JAN MAYEN', 'printable' => 'Svalbard and Jan Mayen', 'iso3' => 'SJM'),
    'SZ' => array('name' => 'SWAZILAND', 'printable' => 'Swaziland', 'iso3' => 'SWZ'),
    'SE' => array('name' => 'SWEDEN', 'printable' => 'Sweden', 'iso3' => 'SWE'),
    'CH' => array('name' => 'SWITZERLAND', 'printable' => 'Switzerland', 'iso3' => 'CHE'),
    'SY' => array('name' => 'SYRIAN ARAB REPUBLIC', 'printable' => 'Syrian Arab Republic', 'iso3' => 'SYR'),
    'TW' => array('name' => 'TAIWAN, PROVINCE OF CHINA', 'printable' => 'Taiwan, Province of China', 'iso3' => 'TWN'),
    'TJ' => array('name' => 'TAJIKISTAN', 'printable' => 'Tajikistan', 'iso3' => 'TJK'),
    'TZ' => array('name' => 'TANZANIA, UNITED REPUBLIC OF', 'printable' => 'Tanzania, United Republic of', 'iso3' => 'TZA'),
    'TH' => array('name' => 'THAILAND', 'printable' => 'Thailand', 'iso3' => 'THA'),
    'TL' => array('name' => 'TIMOR-LESTE', 'printable' => 'Timor-Leste', 'iso3' => 'TLS'),
    'TG' => array('name' => 'TOGO', 'printable' => 'Togo', 'iso3' => 'TGO'),
    'TK' => array('name' => 'TOKELAU', 'printable' => 'Tokelau', 'iso3' => 'TKL'),
    'TO' => array('name' => 'TONGA', 'printable' => 'Tonga', 'iso3' => 'TON'),
    'TT' => array('name' => 'TRINIDAD AND TOBAGO', 'printable' => 'Trinidad and Tobago', 'iso3' => 'TTO'),
    'TN' => array('name' => 'TUNISIA', 'printable' => 'Tunisia', 'iso3' => 'TUN'),
    'TR' => array('name' => 'TURKEY', 'printable' => 'Turkey', 'iso3' => 'TUR'),
    'TM' => array('name' => 'TURKMENISTAN', 'printable' => 'Turkmenistan', 'iso3' => 'TKM'),
    'TC' => array('name' => 'TURKS AND CAICOS ISLANDS', 'printable' => 'Turks and Caicos Islands', 'iso3' => 'TCA'),
    'TV' => array('name' => 'TUVALU', 'printable' => 'Tuvalu', 'iso3' => 'TUV'),
    'UG' => array('name' => 'UGANDA', 'printable' => 'Uganda', 'iso3' => 'UGA'),
    'UA' => array('name' => 'UKRAINE', 'printable' => 'Ukraine', 'iso3' => 'UKR'),
    'AE' => array('name' => 'UNITED ARAB EMIRATES', 'printable' => 'United Arab Emirates', 'iso3' => 'ARE'),
    'GB' => array('name' => 'UNITED KINGDOM', 'printable' => 'United Kingdom', 'iso3' => 'GBR'),
    'US' => array('name' => 'UNITED STATES', 'printable' => 'United States', 'iso3' => 'USA'),
    'UM' => array('name' => 'UNITED STATES MINOR OUTLYING ISLANDS', 'printable' => 'United States Minor Outlying Islands', 'iso3' => 'UMI'),
    'UY' => array('name' => 'URUGUAY', 'printable' => 'Uruguay', 'iso3' => 'URY'),
    'UZ' => array('name' => 'UZBEKISTAN', 'printable' => 'Uzbekistan', 'iso3' => 'UZB'),
    'VU' => array('name' => 'VANUATU', 'printable' => 'Vanuatu', 'iso3' => 'VUT'),
    'VE' => array('name' => 'VENEZUELA', 'printable' => 'Venezuela', 'iso3' => 'VEN'),
    'VN' => array('name' => 'VIET NAM', 'printable' => 'Viet Nam', 'iso3' => 'VNM'),
    'VG' => array('name' => 'VIRGIN ISLANDS, BRITISH', 'printable' => 'Virgin Islands, British', 'iso3' => 'VGB'),
    'VI' => array('name' => 'VIRGIN ISLANDS, U.S.', 'printable' => 'Virgin Islands, U.s.', 'iso3' => 'VIR'),
    'WF' => array('name' => 'WALLIS AND FUTUNA', 'printable' => 'Wallis and Futuna', 'iso3' => 'WLF'),
    'EH' => array('name' => 'WESTERN SAHARA', 'printable' => 'Western Sahara', 'iso3' => 'ESH'),
    'YE' => array('name' => 'YEMEN', 'printable' => 'Yemen', 'iso3' => 'YEM'),
    'ZM' => array('name' => 'ZAMBIA', 'printable' => 'Zambia', 'iso3' => 'ZMB'),
    'ZW' => array('name' => 'ZIMBABWE', 'printable' => 'Zimbabwe', 'iso3' => 'ZWE'),
);

//------------------------------------------------------------------------------
// States/Provinces/Regions
//------------------------------------------------------------------------------
$config['address.states'] = array(
    'AD' => array(
        '07' => 'Andorra la Vella',
        '02' => 'Canillo',
        '03' => 'Encamp',
        '08' => 'Escaldes-Engordany',
        '04' => 'La Massana',
        '05' => 'Ordino',
        '06' => 'Sant Julià de Lòria',
    ),
    'AE' => array(
        'AZ' => 'Abū Z̧aby',
        'AJ' => 'Ajmān',
        'FU' => 'Al Fujayrah',
        'SH' => 'Ash Shāriqah',
        'DU' => 'Dubayy',
        'RK' => 'Ra’s al Khaymah',
        'UQ' => 'Umm al Qaywayn',
    ),
    'AF' => array(
        'BDS' => 'Badakhshān',
        'BDG' => 'Bādghīs',
        'BGL' => 'Baghlān',
        'BAL' => 'Balkh',
        'BAM' => 'Bāmyān',
        'DAY' => 'Dāykundī',
        'FRA' => 'Farāh',
        'FYB' => 'Fāryāb',
        'GHA' => 'Ghaznī',
        'GHO' => 'Ghōr',
        'HEL' => 'Helmand',
        'HER' => 'Herāt',
        'JOW' => 'Jowzjān',
        'KAB' => 'Kābul',
        'KAN' => 'Kandahār',
        'KAP' => 'Kāpīsā',
        'KHO' => 'Khōst',
        'KNR' => 'Kunar',
        'KDZ' => 'Kunduz',
        'LAG' => 'Laghmān',
        'LOG' => 'Lōgar',
        'NAN' => 'Nangarhār',
        'NIM' => 'Nīmrōz',
        'NUR' => 'Nūristān',
        'PKA' => 'Paktīkā',
        'PIA' => 'Paktiyā',
        'PAN' => 'Panjshayr',
        'PAR' => 'Parwān',
        'SAM' => 'Samangān',
        'SAR' => 'Sar-e Pul',
        'TAK' => 'Takhār',
        'URU' => 'Uruzgān',
        'WAR' => 'Wardak',
        'ZAB' => 'Zābul',
    ),
    'AG' => array(
        '03' => 'Saint George',
        '04' => 'Saint John',
        '05' => 'Saint Mary',
        '06' => 'Saint Paul',
        '07' => 'Saint Peter',
        '08' => 'Saint Philip',
        '10' => 'Barbuda',
        '11' => 'Redonda',
    ),
    'AL' => array(
        'BR' => 'Berat',
        'BU' => 'Bulqizë',
        'DI' => 'Dibër',
        'DL' => 'Delvinë',
        'DR' => 'Durrës',
        'DV' => 'Devoll',
        'EL' => 'Elbasan',
        'ER' => 'Kolonjë',
        'FR' => 'Fier',
        'GJ' => 'Gjirokastër',
        'GR' => 'Gramsh',
        'HA' => 'Has',
        'KA' => 'Kavajë',
        'KB' => 'Kurbin',
        'KC' => 'Kuçovë',
        'KO' => 'Korçë',
        'KR' => 'Krujë',
        'KU' => 'Kukës',
        'LB' => 'Librazhd',
        'LE' => 'Lezhë',
        'LU' => 'Lushnjë',
        'MK' => 'Mallakastër',
        'MM' => 'Malësi e Madhe',
        'MR' => 'Mirditë',
        'MT' => 'Mat',
        'PG' => 'Pogradec',
        'PQ' => 'Peqin',
        'PR' => 'Përmet',
        'PU' => 'Pukë',
        'SH' => 'Shkodër',
        'SK' => 'Skrapar',
        'SR' => 'Sarandë',
        'TE' => 'Tepelenë',
        'TP' => 'Tropojë',
        'TR' => 'Tiranë',
        'VL' => 'Vlorë',
    ),
    'AM' => array(
        'AG' => 'Aragac̣otn',
        'AR' => 'Ararat',
        'AV' => 'Armavir',
        'ER' => 'Erevan',
        'GR' => "Geġark'unik'",
        'KT' => 'Kotayk',
        'LO' => 'Loṙy',
        'SH' => 'Širak',
        'SU' => 'Syunik',
        'TV' => 'Tavuš',
        'VD' => 'Vayoc Jor',
    ),
    'AO' => array(
        'BGO' => 'Bengo',
        'BGU' => 'Benguela',
        'BIE' => 'Bié',
        'CAB' => 'Cabinda',
        'CCU' => 'Cuando-Cubango',
        'CNO' => 'Cuanza Norte',
        'CUS' => 'Cuanza Sul',
        'CNN' => 'Cunene',
        'HUA' => 'Huambo',
        'HUI' => 'Huíla',
        'LUA' => 'Luanda',
        'LNO' => 'Lunda Norte',
        'LSU' => 'Lunda Sul',
        'MAL' => 'Malange',
        'MOX' => 'Moxico',
        'NAM' => 'Namibe',
        'UIG' => 'Uíge',
        'ZAI' => 'Zaire',
    ),
    'AR' => array(
        'B' => 'Buenos Aires',
        'K' => 'Catamarca',
        'H' => 'Chaco',
        'U' => 'Chubut',
        'C' => 'Ciudad Autónoma de Buenos Aires',
        'X' => 'Córdoba',
        'W' => 'Corrientes',
        'E' => 'Entre Ríos',
        'P' => 'Formosa',
        'Y' => 'Jujuy',
        'L' => 'La Pampa',
        'F' => 'La Rioja',
        'M' => 'Mendoza',
        'N' => 'Misiones',
        'Q' => 'Neuquén',
        'R' => 'Río Negro',
        'A' => 'Salta',
        'J' => 'San Juan',
        'D' => 'San Luis',
        'Z' => 'Santa Cruz',
        'S' => 'Santa Fe',
        'G' => 'Santiago del Estero',
        'V' => 'Tierra del Fuego',
        'T' => 'Tucumán',
    ),
    'AT' => array(
        '1' => 'Burgenland',
        '2' => 'Kärnten',
        '3' => 'Niederösterreich',
        '4' => 'Oberösterreich',
        '5' => 'Salzburg',
        '6' => 'Steiermark',
        '7' => 'Tirol',
        '8' => 'Vorarlberg',
        '9' => 'Wien',
    ),
    'AU' => array(
        'NSW' => 'New South Wales',
        'QLD' => 'Queensland',
        'SA'  => 'South Australia',
        'TAS' => 'Tasmania',
        'VIC' => 'Victoria',
        'WA'  => 'Western Australia',
        'ACT' => 'Australian Capital Territory',
        'NT'  => 'Northern Territory',
    ),
    'AZ' => array(
        'BA'  => 'Bakı',
        'GA'  => 'Gəncə',
        'LA'  => 'Lənkəran',
        'MI'  => 'Mingəçevir',
        'NA'  => 'Naftalan',
        'NV'  => 'Naxçıvan',
        'SA'  => 'Şəki',
        'SR'  => 'Şirvan',
        'SM'  => 'Sumqayıt',
        'XA'  => 'Xankəndi',
        'YE'  => 'Yevlax',
        'ABS' => 'Abşeron',
        'AGC' => 'Ağcabədi',
        'AGM' => 'Ağdam',
        'AGS' => 'Ağdaş',
        'AGA' => 'Ağstafa',
        'AGU' => 'Ağsu',
        'AST' => 'Astara',
        'BAB' => 'Babək',
        'BAL' => 'Balakən',
        'BAR' => 'Bərdə',
        'BEY' => 'Beyləqan',
        'BIL' => 'Biləsuvar',
        'CAB' => 'Cəbrayıl',
        'CAL' => 'Cəlilabad',
        'CUL' => 'Culfa',
        'DAS' => 'Daşkəsən',
        'FUZ' => 'Füzuli',
        'GAD' => 'Gədəbəy',
        'GOR' => 'Goranboy',
        'GOY' => 'Göyçay',
        'GYG' => 'Göygöl',
        'HAC' => 'Hacıqabul',
        'IMI' => 'İmişli',
        'ISM' => 'İsmayıllı',
        'KAL' => 'Kəlbəcər',
        'KAN' => 'Kǝngǝrli',
        'KUR' => 'Kürdəmir',
        'LAC' => 'Laçın',
        'LAN' => 'Lənkəran',
        'LER' => 'Lerik',
        'MAS' => 'Masallı',
        'NEF' => 'Neftçala',
        'OGU' => 'Oğuz',
        'ORD' => 'Ordubad',
        'QAB' => 'Qəbələ',
        'QAX' => 'Qax',
        'QAZ' => 'Qazax',
        'QOB' => 'Qobustan',
        'QBA' => 'Quba',
        'QBI' => 'Qubadlı',
        'QUS' => 'Qusar',
        'SAT' => 'Saatlı',
        'SAB' => 'Sabirabad',
        'SBN' => 'Şabran',
        'SAD' => 'Sədərək',
        'SAH' => 'Şahbuz',
        'SAK' => 'Şəki',
        'SAL' => 'Salyan',
        'SMI' => 'Şamaxı',
        'SKR' => 'Şəmkir',
        'SMX' => 'Samux',
        'SAR' => 'Şərur',
        'SIY' => 'Siyəzən',
        'SUS' => 'Şuşa',
        'TAR' => 'Tərtər',
        'TOV' => 'Tovuz',
        'UCA' => 'Ucar',
        'XAC' => 'Xaçmaz',
        'XIZ' => 'Xızı',
        'XCI' => 'Xocalı',
        'XVD' => 'Xocavənd',
        'YAR' => 'Yardımlı',
        'YEV' => 'Yevlax',
        'ZAN' => 'Zəngilan',
        'ZAQ' => 'Zaqatala',
        'ZAR' => 'Zərdab',
    ),
    'BR' => array(
        'AC' => 'Acre',
        'AL' => 'Alagoas',
        'AP' => 'Amapá',
        'AM' => 'Amazonas',
        'BA' => 'Bahia',
        'CE' => 'Ceará',
        'DF' => 'Distrito Federal',
        'ES' => 'Espírito Santo',
        'GO' => 'Goiás',
        'MA' => 'Maranhão',
        'MT' => 'Mato Grosso',
        'MS' => 'Mato Grosso do Sul',
        'MG' => 'Minas Gerais',
        'PA' => 'Pará',
        'PB' => 'Paraíba',
        'PR' => 'Paraná',
        'PE' => 'Pernambuco',
        'PI' => 'Piauí',
        'RJ' => 'Rio de Janeiro',
        'RN' => 'Rio Grande do Norte',
        'RS' => 'Rio Grande do Sul',
        'RO' => 'Rondônia',
        'RR' => 'Roraima',
        'SC' => 'Santa Catarina',
        'SP' => 'São Paulo',
        'SE' => 'Sergipe',
        'TO' => 'Tocantins',
    ),
    'CA' => array(
        'AB' => 'Alberta',
        'BC' => 'British Columbia',
        'MB' => 'Manitoba',
        'NB' => 'New Brunswick',
        'NL' => 'Newfoundland and Labrador',
        'NT' => 'Northwest Territories',
        'NS' => 'Nova Scotia',
        'NU' => 'Nunavut',
        'ON' => 'Ontario',
        'PE' => 'Prince Edward Island',
        'QC' => 'Quebec',
        'SK' => 'Saskatchewan',
        'YT' => 'Yukon',
    ),
    'ID' => array(
        'AC' => 'Aceh',
        'BA' => 'Bali',
        'BT' => 'Banten',
        'BE' => 'Bengkulu',
        'GO' => 'Gorontalo',
        'JK' => 'Jakarta',
        'JA' => 'Jambi',
        'JB' => 'Jawa Barat',
        'JT' => 'Jawa Tengah',
        'JI' => 'Jawa Timur',
        'KB' => 'Kalimantan Barat',
        'KS' => 'Kalimantan Selatan',
        'KT' => 'Kalimantan Tengah',
        'KI' => 'Kalimantan Timur',
        'KU' => 'Kalimantan Utara',
        'BB' => 'Kepulauan Bangka Belitung',
        'KR' => 'Kepulauan Riau',
        'LA' => 'Lampung',
        'MA' => 'Maluku',
        'MU' => 'Maluku Utara',
        'NB' => 'Nusa Tenggara Barat',
        'NT' => 'Nusa Tenggara Timur',
        'PA' => 'Papua',
        'PB' => 'Papua Barat',
        'RI' => 'Riau',
        'SR' => 'Sulawesi Barat',
        'SN' => 'Sulawesi Selatan',
        'ST' => 'Sulawesi Tengah',
        'SG' => 'Sulawesi Tenggara',
        'SA' => 'Sulawesi Utara',
        'SB' => 'Sumatera Barat',
        'SS' => 'Sumatera Selatan',
        'SU' => 'Sumatera Utara',
        'YO' => 'Yogyakarta',
    ),
    'MX' => array(
        'AG' => 'Aguascalientes',
        'BC' => 'Baja California Norte',
        'BS' => 'Baja California Sur',
        'CH' => 'Chihuahua',
        'CL' => 'Colima',
        'CM' => 'Campeche',
        'CO' => 'Coahuila',
        'CS' => 'Chiapas',
        'DF' => 'Distrito Federal',
        'DG' => 'Durango',
        'GR' => 'Guerrero',
        'GT' => 'Guanajuato',
        'HG' => 'Hidalgo',
        'JA' => 'Jalisco',
        'MI' => 'Michoacan',
        'MO' => 'Morelos',
        'NA' => 'Nayarit',
        'NL' => 'Nuevo Leon',
        'OA' => 'Oaxaca',
        'PU' => 'Puebla',
        'QR' => 'Quintana Roo',
        'QT' => 'Queretaro',
        'SI' => 'Sinaloa',
        'SL' => 'San Luis Potosi',
        'SO' => 'Sonora',
        'TB' => 'Tabasco',
        'TL' => 'Tlaxcala',
        'TM' => 'Tamaulipas',
        'VE' => 'Veracruz',
        'YU' => 'Yucatan',
        'ZA' => 'Zacatecas',
    ),
    'US' => array(
        'AK' => 'Alaska',
        'AL' => 'Alabama',
        'AS' => 'American Samoa',
        'AZ' => 'Arizona',
        'AR' => 'Arkansas',
        'CA' => 'California',
        'CO' => 'Colorado',
        'CT' => 'Connecticut',
        'DE' => 'Delaware',
        'DC' => 'District of Columbia',
        'FL' => 'Florida',
        'GA' => 'Georgia',
        'GU' => 'Guam',
        'HI' => 'Hawaii',
        'ID' => 'Idaho',
        'IL' => 'Illinois',
        'IN' => 'Indiana',
        'IA' => 'Iowa',
        'KS' => 'Kansas',
        'KY' => 'Kentucky',
        'LA' => 'Louisiana',
        'ME' => 'Maine',
        'MH' => 'Marshall Islands',
        'MD' => 'Maryland',
        'MA' => 'Massachusetts',
        'MI' => 'Michigan',
        'MN' => 'Minnesota',
        'MS' => 'Mississippi',
        'MO' => 'Missouri',
        'MT' => 'Montana',
        'NE' => 'Nebraska',
        'NV' => 'Nevada',
        'NH' => 'New Hampshire',
        'NJ' => 'New Jersey',
        'NM' => 'New Mexico',
        'NY' => 'New York',
        'NC' => 'North Carolina',
        'ND' => 'North Dakota',
        'MP' => 'Northern Mariana Islands',
        'OH' => 'Ohio',
        'OK' => 'Oklahoma',
        'OR' => 'Oregon',
        'PW' => 'Palau',
        'PA' => 'Pennsylvania',
        'PR' => 'Puerto Rico',
        'RI' => 'Rhode Island',
        'SC' => 'South Carolina',
        'SD' => 'South Dakota',
        'TN' => 'Tennessee',
        'TX' => 'Texas',
        'UT' => 'Utah',
        'VT' => 'Vermont',
        'VI' => 'Virgin Islands',
        'VA' => 'Virginia',
        'WA' => 'Washington',
        'WV' => 'West Virginia',
        'WI' => 'Wisconsin',
        'WY' => 'Wyoming',
    ),
);
