<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2014, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (French)
 *
 * Localization strings used by Bonfire
 *
 * @package    Bonfire\Application\Language\French
 * @author     Bonfire Dev Team
 * @link       http://cibonfire.com/docs/guides
 */

//--------------------------------------------------------------------
// ! GENERAL SETTINGS
//--------------------------------------------------------------------

$lang['bf_site_name']			= 'Nom de site';
$lang['bf_site_email']			= 'Email du site';
$lang['bf_site_email_help']		= 'Email utilisé par le système lors de l\'envoie de message';
$lang['bf_site_status']			= 'Statut du site';
$lang['bf_online']				= 'Online';
$lang['bf_offline']				= 'Offline';
$lang['bf_top_number']			= 'Eléments <em>par</em> page:';
$lang['bf_top_number_help']		= 'Lors de l\'affichage des rapports, combien d\'éléments doivent être affichés à la fois ?';
$lang['bf_home']				= 'Accueil';
$lang['bf_site_information']	= 'Information du site';
$lang['bf_timezone']			= 'Zone horraire';
$lang['bf_language']			= 'Langue';
$lang['bf_language_help']		= 'Choisissez les langues disponibles pour les inscrits';

//--------------------------------------------------------------------
// ! AUTH SETTINGS
//--------------------------------------------------------------------

$lang['bf_security']			= 'Securité';
$lang['bf_login_type']			= 'Type de login';
$lang['bf_login_type_email']	= 'Email seuleument';
$lang['bf_login_type_username']	= 'Nom d\'inscrits seuleument';
$lang['bf_allow_register']		= 'Permettre l\'inscription d\'utilisateur ?';
$lang['bf_login_type_both']		= 'Email ou Nom d\'utilisateur';
$lang['bf_use_usernames']		= 'Affichage des inscrits sur Bonfire';
$lang['bf_use_own_name']		= 'utiliser le nom';
$lang['bf_allow_remember']		= 'Permettre \'Se souvenir de moi\' ?';
$lang['bf_remember_time']		= 'Se souvenir de moi';
$lang['bf_week']				= 'Semaine';
$lang['bf_weeks']				= 'Semaines';
$lang['bf_days']				= 'Jours';
$lang['bf_username']			= 'Nom d\'utilisateur';
$lang['bf_password']			= 'Mot de passe';
$lang['bf_password_confirm']	= 'Mot de passe (encore)';
$lang['bf_display_name']		= 'Afficher le nom';

//--------------------------------------------------------------------
// ! CRUD SETTINGS
//--------------------------------------------------------------------

$lang['bf_home_page']			= 'Page d\'Accueil';
$lang['bf_pages']				= 'Pages';
$lang['bf_enable_rte']			= 'Autoriser le RTE pour les pages ?';
$lang['bf_rte_type']			= 'Type de RTE';
$lang['bf_searchable_default']	= 'Recherchable par défaut?';
$lang['bf_cacheable_default']	= 'Mise en cache par défaut ?';
$lang['bf_track_hits']			= 'Suivre les Hits ?';

$lang['bf_action_save']			= 'Enregistrer';
$lang['bf_action_delete']		= 'Supprimer';
$lang['bf_action_cancel']		= 'Annuler';
$lang['bf_action_download']		= 'Télécharger';
$lang['bf_action_preview']		= 'Prévisualiser';
$lang['bf_action_search']		= 'Rechercher';
$lang['bf_action_purge']		= 'Purger';
$lang['bf_action_restore']		= 'Restaurer';
$lang['bf_action_show']			= 'Voir';
$lang['bf_action_login']		= 'Se connecter';
$lang['bf_action_logout']		= 'Se déconnecter';
$lang['bf_actions']				= 'Actions';
$lang['bf_clear']				= 'Effacer';
$lang['bf_action_list']			= 'List';
$lang['bf_action_create']		= 'Créer';
$lang['bf_action_ban']			= 'Ban';

//--------------------------------------------------------------------
// ! SETTINGS LIB
//--------------------------------------------------------------------
$lang['bf_ext_profile_show']	= 'les inscrits ont-il accès aux profils avancés ?';
$lang['bf_ext_profile_info']	= 'Cocher les profils avancés afin d\'avoir des options de meta-data avancés.';

$lang['bf_yes']					= 'Oui';
$lang['bf_no']					= 'Non';
$lang['bf_none']				= 'Vide';
$lang['bf_id']					= 'ID';

$lang['bf_or']					= 'ou';
$lang['bf_size']				= 'Poids';
$lang['bf_files']				= 'Fichiers';
$lang['bf_file']				= 'Fichier';

$lang['bf_with_selected']		= 'avec les sélectionnés';

$lang['bf_env_dev']				= 'Developement';
$lang['bf_env_test']			= 'Test';
$lang['bf_env_prod']			= 'Production';

$lang['bf_show_profiler']		= 'Voir le profil de l\'Administrateur?';
$lang['bf_show_front_profiler']	= 'Voir les profil sur le FrontEnd?';

$lang['bf_cache_not_writable']  = 'Le répertoire de cache est protégé en écriture';

$lang['bf_password_strength']			= 'Réglages des mots de passe';
$lang['bf_password_length_help']		= 'Taille du mot de passe minimum (ex : 8)';
$lang['bf_password_force_numbers']		= 'Le mot de passe doit-il focer les numéros ?';
$lang['bf_password_force_symbols']		= 'Le mot de passe doit-il forcer les symboles ?';
$lang['bf_password_force_mixed_case']	= 'Le mot de passe doit-il forcer la case ?';
$lang['bf_password_show_labels']	    = 'Afficher les labels de validation du mot de passe';

//--------------------------------------------------------------------
// ! USER/PROFILE
//--------------------------------------------------------------------

$lang['bf_user']				= 'Utilisateur';
$lang['bf_users']				= 'Utilisateurs';
$lang['bf_description']			= 'Description';
$lang['bf_email']				= 'Email';
$lang['bf_user_settings']		= 'Mon profil';

//--------------------------------------------------------------------
// !
//--------------------------------------------------------------------

$lang['bf_both']				= 'tous les deux';
$lang['bf_go_back']				= 'Revenir en arrière';
$lang['bf_new']					= 'Nouveau';
$lang['bf_required_note']		= 'Les champs obligatoire sont en <b>gras</b>.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//--------------------------------------------------------------------
// MY_Model
//--------------------------------------------------------------------
$lang['bf_model_db_error']		= 'Erreur DB : %s';
$lang['bf_model_fetch_error']	= 'Pas assez d\'informations pour rechercher le champs.';
$lang['bf_model_count_error']	= 'Pas assez d\'informations pour compter les résultats.';
$lang['bf_model_unique_error']	= 'Pas assez d\'informations pour vérifier l\'unicité.';
$lang['bf_model_find_error']	= 'Pas assez d\'informations pour trouver.';

//--------------------------------------------------------------------
// Contexts
//--------------------------------------------------------------------
$lang['bf_no_contexts']			= 'Le tableau "Contexte" n\'est pas correctement créer. Vérifier le fichier de configuration de votre application.';
$lang['bf_context_content']		= 'Contenu';
$lang['bf_context_reports']		= 'Raports';
$lang['bf_context_settings']	= 'Paramètres';
$lang['bf_context_developer']	= 'Developper';

//--------------------------------------------------------------------
// Activities
//--------------------------------------------------------------------
$lang['bf_act_settings_saved']	= 'Options d\'application sauvegardé de ';
$lang['bf_unauthorized_attempt']= 'Impossible d\'accéder à la page requiairant les permissions suivantes "%s" de ';

$lang['bf_keyboard_shortcuts']		= 'Racourcis claviers disponible :';
$lang['bf_keyboard_shortcuts_none']	= 'Il n\'y a aucun racourcis clavier disponible.';
$lang['bf_keyboard_shortcuts_edit']	= 'Mettre à jour les racourcis clavier.';

//--------------------------------------------------------------------
// Common
//--------------------------------------------------------------------
$lang['bf_question_mark']	      = '?';
$lang['bf_language_direction']	= 'ltr';
$lang['log_intro']              = 'Ce sont les messages du journal.';

//--------------------------------------------------------------------
// Login
//--------------------------------------------------------------------
$lang['bf_action_register']		= 'S\'inscrire';
$lang['bf_forgot_password']		= 'Vous avez perdu votre mot de passe ?';
$lang['bf_remember_me']			= 'Se souvenir de moi';

//--------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//--------------------------------------------------------------------
$lang['bf_password_number_required_help']  = 'Le mot de passe doit contenir au moins 1 chiffre.';
$lang['bf_password_caps_required_help']    = 'Le mot de passe doit contenir au moins 1 lettre majuscule.';
$lang['bf_password_symbols_required_help'] = 'Le mot de passe doit contenir au moins 1 symbole.';

$lang['bf_password_min_length_help']       = 'Le mot de passe doit comporter au moins %s caractères.';
$lang['bf_password_length']                = 'Longueur du mot de passe';

//--------------------------------------------------------------------
// User Meta examples
//--------------------------------------------------------------------

$lang['user_meta_street_name']	= 'Nom de la rue';
$lang['user_meta_type']			= 'Type';
$lang['user_meta_country']		= 'Pays';
$lang['user_meta_state']		= 'État';

// Activation
//--------------------------------------------------------------------
$lang['bf_activate_method']			= 'Méthode d\'activation';
$lang['bf_activate_none']			= 'Aucune';
$lang['bf_activate_email']			= 'Email';
$lang['bf_activate_admin']			= 'Admin';
$lang['bf_activate']				= 'Activer';
$lang['bf_activate_resend']			= 'Renvoyer l\'activation';

$lang['bf_reg_complete_error']		= 'Une erreur s\'est produite lors de votre enregistrement. Merci de réessayer ou contacter l\'administateur du site afin d\'obtenir de l\'aide';
$lang['bf_reg_activate_email'] 		= 'Un email contenant votre code d\'activation a été envoyé à [EMAIL].';
$lang['bf_reg_activate_admin'] 		= 'Vous serez avertit lorsque l\'administrateur aura accepter votre enregistrement.';
$lang['bf_reg_activate_none'] 		= 'Merci de vous connecter afin de pouvoir utiliser ce site.';
$lang['bf_user_not_active'] 		= 'Le compte de cet utilisateur n\'est pas activé.';
$lang['bf_login_activate_title']	= 'Besoin d\'activer votre compte ?';
$lang['bf_login_activate_email'] 	= '<b>Avez-vous un code d\'activation pour votre enregistrement ?</b> Inscriver le sur cette page : [ACCOUNT_ACTIVATE_URL].<br /><br />    <b>Besoin de recevoir votre code d\'activation à nouveau ?</b> Cliquez ici pour le renvoyer [ACTIVATE_RESEND_URL].';
