<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2014, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (Persian)
 *
 * Localization strings used by Bonfire
 *
 * @package    Bonfire\Application\Language\Persian
 * @author     Translator Sajjad Servatjoo <sajjad.servatjoo[at]gmail[dot]com>
 * @link       http://cibonfire.com/docs/guides
 */

//--------------------------------------------------------------------
// ! GENERAL SETTINGS
//--------------------------------------------------------------------

$lang['bf_site_name']			= 'نام سایت';
$lang['bf_site_email']			= 'تنظیمات ایمیل';
$lang['bf_site_email_help']		= 'آدرس پست الکترونیکی پیشفرض که ایمیل های تولید شده توسط سیستم به وسیله آن ارسال میشود';
$lang['bf_site_status']			= 'وضعیت سایت';
$lang['bf_online']				= 'آنلاین';
$lang['bf_offline']				= 'آفلایت';
$lang['bf_top_number']			= 'مورد <em> در هر</em> صفحه:';
$lang['bf_top_number_help']		= 'به هنگام نمایش گزارشات چند مورد در هر صفحه نمایش داده شود؟';
$lang['bf_home']				= 'خانه';
$lang['bf_site_information']	= 'اطلاعات سایت';
$lang['bf_timezone']			= 'منطقه ی زمانی';
$lang['bf_language']			= 'زبان';
$lang['bf_language_help']		= 'زبان های قابل دسترس کاربران را انتخاب نمایید.';

//--------------------------------------------------------------------
// ! AUTH SETTINGS
//--------------------------------------------------------------------

$lang['bf_security']			= 'امنیت';
$lang['bf_login_type']			= 'نوع ورود';
$lang['bf_login_type_email']	= 'فقط ایمیل';
$lang['bf_login_type_username']	= 'فقط نام کاربری';
$lang['bf_allow_register']		= 'اجازه ثبت نام توسط کاربران؟';
$lang['bf_login_type_both']		= 'ایمیل یا نام کاربری';
$lang['bf_use_usernames']		= 'نمایش کاربران در بن فایر با:';
$lang['bf_use_own_name']		= 'استفاده از نام شخصی';
$lang['bf_allow_remember']		= 'اجازه استفاده از \'مرا به خاطر داشته باش\'؟';
$lang['bf_remember_time']		= 'به خاطر داشتن کاربران به مدت:';
$lang['bf_week']				= 'هفته';
$lang['bf_weeks']				= 'هفته';
$lang['bf_days']				= 'روز';
$lang['bf_username']			= 'نام کاربری';
$lang['bf_password']			= 'کلمه عبور';
$lang['bf_password_confirm']	= 'کلمه عبور (تکرار)';
$lang['bf_display_name']		= 'نام نمایشی';

//--------------------------------------------------------------------
// ! CRUD SETTINGS
//--------------------------------------------------------------------

$lang['bf_home_page']			= 'صفحه اصلی';
$lang['bf_pages']				= 'صفحات';
$lang['bf_enable_rte']			= 'فعال بودن ادیتور برای صفحات؟';
$lang['bf_rte_type']			= 'نوع ادیتور';
$lang['bf_searchable_default']	= 'به صورت پیشفرض قابل جستجو باشد؟';
$lang['bf_cacheable_default']	= 'به صورت پیشفرض قابلیت کش را داشته باشد؟';
$lang['bf_track_hits']			= 'پیگیری نمایش صفحه؟';

$lang['bf_action_save']			= 'ذخیره';
$lang['bf_action_delete']		= 'حذف';
$lang['bf_action_cancel']		= 'انصراف';
$lang['bf_action_download']		= 'دانلود';
$lang['bf_action_preview']		= 'پیش نمایش';
$lang['bf_action_search']		= 'جستجو';
$lang['bf_action_purge']		= 'پالایش';
$lang['bf_action_restore']		= 'بازگردانی';
$lang['bf_action_show']			= 'نمایش';
$lang['bf_action_login']		= 'ورود';
$lang['bf_action_logout']		= 'خروج';
$lang['bf_actions']				= 'عملیات';
$lang['bf_clear']				= 'پاک کردن';
$lang['bf_action_list']			= 'لیست';
$lang['bf_action_create']		= 'ایجاد';
$lang['bf_action_ban']			= 'تحریم کردن';

//--------------------------------------------------------------------
// ! SETTINGS LIB
//--------------------------------------------------------------------
$lang['bf_ext_profile_show']	= 'آیا حساب های کاربری شامل مشخصات پیشرفته هستند؟';
$lang['bf_ext_profile_info']	= 'اگر میخواهید کاربران مشخصات بیشتری را در مورد خود در صفحه مشخصات وارد نمایند این گزینه را فعال نمایید';

$lang['bf_yes']					= 'بله';
$lang['bf_no']					= 'خیر';
$lang['bf_none']				= 'هیچ';
$lang['bf_id']					= 'ID';

$lang['bf_or']					= 'یا';
$lang['bf_size']				= 'اندازه';
$lang['bf_files']				= 'فایل ها';
$lang['bf_file']				= 'فایل';

$lang['bf_with_selected']		= 'با انتخاب شده ها';

$lang['bf_env_dev']				= 'گسترش';
$lang['bf_env_test']			= 'آزمایشی';
$lang['bf_env_prod']			= 'محصول نهایی';

$lang['bf_show_profiler']		= 'نمایش اطلاعات اجرا در پنل مدیریت؟';
$lang['bf_show_front_profiler']	= 'نمایش اطلاعات اجرا در سایت؟';

$lang['bf_cache_not_writable']  = 'پوشه کش برنامه قابل نوشت نمی باشد.';

$lang['bf_password_strength']			= 'تنظیمات کلمه عبور';
$lang['bf_password_length_help']		= 'حداقل طول برای کلمه عبور به طور مثال : 8';
$lang['bf_password_force_numbers']		= 'آیا کلمه عبور حتما باید شامل عدد باشد؟';
$lang['bf_password_force_symbols']		= 'آیا کلمه عبور حتما باید شامل کاراکتر های سمبل باشد؟';
$lang['bf_password_force_mixed_case']	= 'آیا کلمه عبور حتما باید شامل حروف کوچک به همراه حروف بزرگ باشد؟';

//--------------------------------------------------------------------
// ! USER/PROFILE
//--------------------------------------------------------------------

$lang['bf_user']				= 'کاربر';
$lang['bf_users']				= 'کاربران';
$lang['bf_username']			= 'نام کاربری';
$lang['bf_description']			= 'توضیحات';
$lang['bf_email']				= 'پست الکترونیکی';
$lang['bf_user_settings']		= 'مشخصات من';

//--------------------------------------------------------------------
// !
//--------------------------------------------------------------------

$lang['bf_both']				= 'هر دو';
$lang['bf_go_back']				= 'بازگشت';
$lang['bf_new']					= 'جدید';
$lang['bf_required_note']		= 'گزینه های اجباری به صورت <b>ضخیم تر</b> می باشند.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//--------------------------------------------------------------------
// MY_Model
//--------------------------------------------------------------------
$lang['bf_model_db_error']		= 'خطای پایگاه داده: %s';
$lang['bf_model_fetch_error']	= 'اطلاعات کافی جهت واکشی فیلد موجود نیست.';
$lang['bf_model_count_error']	= 'اطلاعات کافی جهت شمارش نتایج موجود نمی باشد.';
$lang['bf_model_unique_error']	= 'اطلاعات کافی جهت بررسی یکتا بودن موجود نمی باشد.';
$lang['bf_model_find_error']	= 'اطلاعات کافی جهت جستجو موجود نیست.';

//--------------------------------------------------------------------
// Contexts
//--------------------------------------------------------------------
$lang['bf_no_contexts']			= 'آرایه بخش های مدیریت به صورت صحیح وارد نشده اند. لطفا فایل کانفیگ را جهت اصلاع بررسی نمایید.';
$lang['bf_context_content']		= 'محتوی';
$lang['bf_context_reports']		= 'گزارشات';
$lang['bf_context_settings']	= 'تنظیمات';
$lang['bf_context_developer']	= 'گسترش';

//--------------------------------------------------------------------
// Activities
//--------------------------------------------------------------------
$lang['bf_act_settings_saved']	= 'تنظیمات برنامه ذخیره شدند.';
$lang['bf_unauthorized_attempt']= 'تلاش نا موفق جهت دسترسی به صفحه ای که نیاز به مجوز "%s" دارد.';

$lang['bf_keyboard_shortcuts']		= 'کلید های میانبر قابل دسترس:';
$lang['bf_keyboard_shortcuts_none']	= 'کلید میانبری تعریف نشده است.';
$lang['bf_keyboard_shortcuts_edit']	= 'ویرایش کلید های میانبر';

//--------------------------------------------------------------------
// Common
//--------------------------------------------------------------------
$lang['bf_question_mark']	      = '؟';
$lang['bf_language_direction']	= 'rtl';
$lang['log_intro']              = 'این ها پیام های ورود شما هستند:';

//--------------------------------------------------------------------
// Login
//--------------------------------------------------------------------
$lang['bf_action_register']		= 'ثبت نام';
$lang['bf_forgot_password']		= 'کلمه عبور خود را فراموش کرده اید؟';
$lang['bf_remember_me']			= 'مرا به یاد داشته باش';

//--------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//--------------------------------------------------------------------
$lang['bf_password_number_required_help']  = 'کلمه عبور حداقل باید شامل یک نقطه باشد.';
$lang['bf_password_caps_required_help']    = 'کلمه عبور باید حداقل شامل یک حرف بزرگ باشد.';
$lang['bf_password_symbols_required_help'] = 'کلمه عبور حداقل باید شامل یک کاراکتر سمبل باشد.';

$lang['bf_password_min_length_help']       = 'طول کلمه عبور حداقل باید %s کاراکتر باشد.';

//--------------------------------------------------------------------
// User Meta examples
//--------------------------------------------------------------------

$lang['user_meta_street_name']	= 'نام خیابان';
$lang['user_meta_type']			= 'نوع';
$lang['user_meta_country']		= 'کشور';
$lang['user_meta_state']		= 'استان';

//--------------------------------------------------------------------
// Activation
//--------------------------------------------------------------------
$lang['bf_activate_method']			= 'روش فعال سازی';
$lang['bf_activate_none']			= 'هیچ';
$lang['bf_activate_email']			= 'ایمیل';
$lang['bf_activate_admin']			= 'ادمین';
$lang['bf_activate']				= 'فعال سازی';
$lang['bf_activate_resend']			= 'ارسال دوباره فعال سازی';

$lang['bf_reg_complete_error']		= 'در ثبت نام شما مشکلی بوجود آمده است. لطفا مجددا سعی کنید و یا با مدیریت سایت تماس بگیرید.';
$lang['bf_reg_activate_email'] 		= 'ایمیلی حاوی لینک فعال سازی به [EMAIL] ارسال شده است.';
$lang['bf_reg_activate_admin'] 		= 'شما باید منتظر تایید ثبت نامتان توسط مدیریت باشید.';
$lang['bf_reg_activate_none'] 		= 'لطفا جهت استفاده از سایت وارد شوید.';
$lang['bf_user_not_active'] 		= 'حساب کاربری غیر فعال است.';
$lang['bf_login_activate_title']	= 'نیاز دارید که حساب کاربریتان را فعال نمایید؟';
$lang['bf_login_activate_email'] 	= '<b>کد فعال سازی حساب کاربری خودتان را دارید؟</b> کد را در [ACCOUNT_ACTIVATE_URL] وارد نمایید.<br /><br />    <b>کد فعال سازی ندارید؟</b> میتوانید این کد را در صفحه ی [ACTIVATE_RESEND_URL] درخواست نمایید.';

//--------------------------------------------------------------------
// Migrations lib
//--------------------------------------------------------------------
$lang['no_migrations_found']			= 'هيچ فايل ارتقايي يافت نشد';
$lang['multiple_migrations_version']	= 'نسخه ي تکراري براي فايل ارتقا: %d';
$lang['multiple_migrations_name']		= 'نام تکراري براي فايل ارتقا: %s';
$lang['migration_class_doesnt_exist']	= 'کلاس فايل ارتقا يافت نشد: %s';
$lang['wrong_migration_interface']		= 'اينترفيس نا معتبر براي فايل ارتقا: %s';
$lang['invalid_migration_filename']		= 'فايل ارتفاي نا معتبر: %s - %s';
