<?php defined('BASEPATH') || exit('No direct script access allowed');
/**
 * Bonfire
 *
 * An open source project to allow developers to jumpstart their development of
 * CodeIgniter applications
 *
 * @package   Bonfire
 * @author    Bonfire Dev Team
 * @copyright Copyright (c) 2011 - 2014, Bonfire Dev Team
 * @license   http://opensource.org/licenses/MIT
 * @link      http://cibonfire.com
 * @since     Version 1.0
 */

/**
 * Application language file (American Spanish)
 *
 * Localization strings used by Bonfire
 *
 * @package    Bonfire\Application\Language\Spanish_am
 * @author     Bonfire Dev Team
 * @link       http://cibonfire.com/docs/guides
 */

//--------------------------------------------------------------------
// ! GENERAL SETTINGS
//--------------------------------------------------------------------

$lang['bf_site_name']			= 'Nombre del sitio';
$lang['bf_site_email']			= 'Correo electrónico del sitio';
$lang['bf_site_email_help']		= 'El correo electrónico por defecto que el sistema usará de remitente.';
$lang['bf_site_status']			= 'Estado del sitio';
$lang['bf_online']				= 'En línea';
$lang['bf_offline']				= 'Fuera de línea';
$lang['bf_top_number']			= 'Item <em>por</em> página:';
$lang['bf_top_number_help']		= 'Cuando se muestran los reportes, ¿cuántos ítems se listarán a la vez?';
$lang['bf_home']				= 'Inicio';
$lang['bf_site_information']	= 'Información del sitio';
$lang['bf_timezone']			= 'Zona Horaria';
$lang['bf_language']			= 'Idioma';
$lang['bf_language_help']		= 'Elige los idiomas disponibles para el usuario.';

//--------------------------------------------------------------------
// ! AUTH SETTINGS
//--------------------------------------------------------------------

$lang['bf_security']			= 'Seguridad';
$lang['bf_login_type']			= 'Tipo de acceso';
$lang['bf_login_type_email']	= 'Solo correo electrónico';
$lang['bf_login_type_username']	= 'Solo nombre de usuario';
$lang['bf_allow_register']		= '¿Permitir a los usuarios registrarse?';
$lang['bf_login_type_both']		= 'Email o Usuario';
$lang['bf_use_usernames']		= 'Usuario a mostrar a través de bonfire:';
$lang['bf_use_own_name']		= 'Usar el nombre propio';
$lang['bf_allow_remember']		= '¿Permitir \'Recordarme\'?';
$lang['bf_remember_time']		= 'Recordar usuario por';
$lang['bf_week']				= 'Semana';
$lang['bf_weeks']				= 'Semanas';
$lang['bf_days']				= 'Días';
$lang['bf_username']			= 'Nombre de usuario';
$lang['bf_password']			= 'Contraseña';
$lang['bf_password_confirm']	= 'Contraseña (Repetir)';
$lang['bf_display_name']		= 'Nombre';

//--------------------------------------------------------------------
// ! CRUD SETTINGS
//--------------------------------------------------------------------

$lang['bf_home_page']			= 'Inicio';
$lang['bf_pages']				= 'Páginas';
$lang['bf_enable_rte']			= '¿Activar el RTE para las páginas?';
$lang['bf_rte_type']			= 'Tipo de RTE';
$lang['bf_searchable_default']	= '¿Buscable por defecto?';
$lang['bf_cacheable_default']	= '¿Almacenable en cache por defecto?';
$lang['bf_track_hits']			= '¿Seguimiento de visitas a la página?';

$lang['bf_action_save']			= 'Guardar';
$lang['bf_action_delete']		= 'Eliminar';
$lang['bf_action_cancel']		= 'Cancelar';
$lang['bf_action_download']		= 'Descargar';
$lang['bf_action_preview']		= 'Vista previa';
$lang['bf_action_search']		= 'Buscar';
$lang['bf_action_purge']		= 'Purgar';
$lang['bf_action_restore']		= 'Restaurar';
$lang['bf_action_show']			= 'Mostrar';
$lang['bf_action_login']		= 'Iniciar Sesión';
$lang['bf_action_logout']		= 'Salir';
$lang['bf_actions']				= 'Acciones';
$lang['bf_clear']				= 'Limpiar';
$lang['bf_action_list']			= 'Listar';
$lang['bf_action_create']		= 'Crear';
$lang['bf_action_ban']			= 'Bloquear';

//--------------------------------------------------------------------
// ! SETTINGS LIB
//--------------------------------------------------------------------
$lang['bf_ext_profile_show']	= '¡Las cuentas de usuario tienen perfil extendido?';
$lang['bf_ext_profile_info']	= 'Check "Extended Profiles" to have extra profile meta-data available option(wip), omiting some default bonfire fields (eg: address).';

$lang['bf_yes']					= 'Si';
$lang['bf_no']					= 'No';
$lang['bf_none']				= 'Ninguno';
$lang['bf_id']					= 'ID';

$lang['bf_or']					= 'o';
$lang['bf_size']				= 'Tamaño';
$lang['bf_files']				= 'Archivos';
$lang['bf_file']				= 'Archivo';

$lang['bf_with_selected']		= 'With selected';

$lang['bf_env_dev']				= 'Desarrollo';
$lang['bf_env_test']			= 'Pruebas';
$lang['bf_env_prod']			= 'Producción';

$lang['bf_show_profiler']		= '¿Mostrar el administrador de análisis?';
$lang['bf_show_front_profiler']	= '¿Mostrar el analizador en el Front End?';

$lang['bf_cache_not_writable']  = 'La carpeta de cache de la aplicación no es escribible';

$lang['bf_password_strength']			= 'Fuerza para contraseña';
$lang['bf_password_length_help']		= 'Caracteres mínimos para la contraseña ej: 8';
$lang['bf_password_force_numbers']		= '¿Hacer obligatorio números dentro contraseña?';
$lang['bf_password_force_symbols']		= '¿Hacer obligatorio símbolos dentro de la contraseña?';
$lang['bf_password_force_mixed_case']	= '¿Hacer obligarorio mayúsculas dentro de la contraseña?';
$lang['bf_password_show_labels']	    = 'Mostrar las etiquetas de validación de la contraseña';

//--------------------------------------------------------------------
// ! USER/PROFILE
//--------------------------------------------------------------------

$lang['bf_user']				= 'Usuario';
$lang['bf_users']				= 'Usuarios';
$lang['bf_description']			= 'Descripción';
$lang['bf_email']				= 'Correo electrónico';
$lang['bf_user_settings']		= 'Mi Perfil';

//--------------------------------------------------------------------
// !
//--------------------------------------------------------------------

$lang['bf_both']				= 'ambos';
$lang['bf_go_back']				= 'Regresar';
$lang['bf_new']					= 'Nuevo';
$lang['bf_required_note']		= 'Los campos requeridos están en <b>negrita</b>.';
$lang['bf_form_label_required'] = '<span class="required">*</span>';

//--------------------------------------------------------------------
// MY_Model
//--------------------------------------------------------------------
$lang['bf_model_db_error']		= 'Error en la base de datos: %s';
$lang['bf_model_fetch_error']	= 'No hay suficiente información para recuperar el campo.';
$lang['bf_model_count_error']	= 'No hay suficiente información para contar los resultados.';
$lang['bf_model_unique_error']	= 'No hay suficiente información para verificar las claves únicas.';
$lang['bf_model_find_error']	= 'No hay suficiente información para buscar por.';

//--------------------------------------------------------------------
// Contexts
//--------------------------------------------------------------------
$lang['bf_no_contexts']			= 'La matriz de contexto no esta configurada apropiadamente. Verifica el archivo de configuración.';
$lang['bf_context_content']		= 'Contenido';
$lang['bf_context_reports']		= 'Reportes';
$lang['bf_context_settings']	= 'Configuraciones';
$lang['bf_context_developer']	= 'Desarrollo';

//--------------------------------------------------------------------
// Activities
//--------------------------------------------------------------------
$lang['bf_act_settings_saved']	= 'App settings saved from';
$lang['bf_unauthorized_attempt']= 'intentó sin éxito acceder a una página que requiere el siguiente permiso "% s" desde ';

$lang['bf_keyboard_shortcuts']		= 'Atajos de teclado disponibles:';
$lang['bf_keyboard_shortcuts_none']	= 'No hay atajos de teclado asignados.';
$lang['bf_keyboard_shortcuts_edit']	= 'Update the keyboard shortcuts';

//--------------------------------------------------------------------
// Common
//--------------------------------------------------------------------
$lang['bf_question_mark']	      = '?';
$lang['bf_language_direction']	= 'ltr';
$lang['log_intro']              = 'These are your log messages';

//--------------------------------------------------------------------
// Login
//--------------------------------------------------------------------
$lang['bf_action_register']		= 'Registrarse';
$lang['bf_forgot_password']		= 'Olvido su contraseña?';
$lang['bf_remember_me']			= 'Recordarme';

//--------------------------------------------------------------------
// Password Help Fields to be used as a warning on register
//--------------------------------------------------------------------
$lang['bf_password_number_required_help']  = 'La contraseña debe contener al menos un número.';
$lang['bf_password_caps_required_help']    = 'La contraseña debe contener al menos una letra en mayúscula.';
$lang['bf_password_symbols_required_help'] = 'La contraseña debe contener al menos un símbolo.';

$lang['bf_password_min_length_help']       = 'La contraseña debe tener mínimo %s caracteres.';
$lang['bf_password_length']                = 'Fuerza de la contraseña';

//--------------------------------------------------------------------
// User Meta examples
//--------------------------------------------------------------------

$lang['user_meta_telefono']		= 'Teléfono';
$lang['user_meta_celular']		= 'Celular';
$lang['user_meta_street_name']	= 'Dirección';
$lang['user_meta_ciudad']		= 'Ciudad';
$lang['user_meta_country']		= 'País';
$lang['user_meta_state']		= 'Departamento';

//--------------------------------------------------------------------
// Activation
//--------------------------------------------------------------------
$lang['bf_activate_method']			= 'Método de Activación';
$lang['bf_activate_none']			= 'Ninguno';
$lang['bf_activate_email']			= 'Correo Electrónico';
$lang['bf_activate_admin']			= 'Administrador';
$lang['bf_activate']				= 'Activado';
$lang['bf_activate_resend']			= 'Reenviar activación';

$lang['bf_reg_complete_error']		= 'An error occurred completing your registration. Please try again or contact the site administrator for help.';
$lang['bf_reg_activate_email'] 		= 'An email containing your activation code has been sent to [EMAIL].';
$lang['bf_reg_activate_admin'] 		= 'You will be notified when the site administrator has approved your membership.';
$lang['bf_reg_activate_none'] 		= 'Please login to begin using the site.';
$lang['bf_user_not_active'] 		= 'User account is not active.';
$lang['bf_login_activate_title']	= 'Need to activate your account?';
$lang['bf_login_activate_email'] 	= '<b>Have an activation code to enter to activate your membership?</b> Enter it on the [ACCOUNT_ACTIVATE_URL] page.<br /><br />    <b>Need your code again?</b> Request it again on the [ACTIVATE_RESEND_URL] page.';

//--------------------------------------------------------------------
// Migrations lib
//--------------------------------------------------------------------
$lang['no_migrations_found']			= 'No se encontraron los archivos de migración';
$lang['multiple_migrations_version']	= 'Multiples versiones de migración: %d';
$lang['multiple_migrations_name']		= 'Multiples nombres de migración: %s';
$lang['migration_class_doesnt_exist']	= 'La clase de migracion no existe: %s';
$lang['wrong_migration_interface']		= 'Interfaz incorrecta de migración: %s';
$lang['invalid_migration_filename']		= 'Nombre de archivo de migración incorrecto: %s - %s';
