# Upgrading Bonfire

## 0.7.0 to 0.7.1

1. Update/install the files in the `/bonfire` directory
2. Update `/application/third_party/MX/Modules.php`
3. Update `/application/config/address.php`, `/application/config/application.php`, `/application/config/config.php`, `/application/config/constants.php`, `/application/config/hooks.php`, and `/application/config/routes.php` (be sure to migrate your customizations)
4. Update `/application/controllers/admin/home.php` and `/application/controllers/home.php` (be sure to migrate your customizations)
5. Update `/application/core/Admin_Controller.php`, `/application/core/Base_Controller.php`, and `/application/core/MY_Model.php` (be sure to migrate your customizations)
6. Update `/application/hooks/App_hooks.php` (be sure to migrate your customizations)
7. Update `/public/index.php` (be sure to migrate your customizations)
8. If desired, update your database config to use the `bfmysqli` driver.
9. If desired, add `/application/third_party/Sparks_Loader.php`
10. Update use of language files:
    - Update `application_lang.php` and `install_lang.php` files in `/application/language/`
    - If you use any of the following language lines in your application code, you will need to update your lang() or lang->line() calls to use the corresponding updated keys:
    <table>
        <thead>
            <tr>
                <th>0.7.0</th>
                <th>0.7.1</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>activity_* (activities module)</td>
                <td>activities_*</td>
            </tr>
            <tr>
                <td>db_* (database module, CI db_* entries remain the same)</td>
                <td>database_*</td>
            </tr>
            <tr>
                <td>log_* (logs module)</td>
                <td>logs_*</td>
            </tr>
            <tr>
                <td>mig_* (migrations module)</td>
                <td>migrations_*</td>
            </tr>
            <tr>
                <td>si_*<br />
                    sys_*<br />
                    (sysinfo module)
                </td>
                <td>sysinfo_*</td>
            </tr>
        </tbody>
    </table>
11. Run migrations
12. The following have been deprecated:
    <table>
        <thead>
            <tr>
                <th>0.7.0</th>
                <th>0.7.1</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>module_config() (application_helper)</td>
                <td>Modules::config()</td>
            </tr>
            <tr>
                <td>module_controller_exists() (application_helper)</td>
                <td>Modules::controller_exists()</td>
            </tr>
            <tr>
                <td>module_file_path() (application_helper)</td>
                <td>Modules::file_path()</td>
            </tr>
            <tr>
                <td>module_files() (application_helper)</td>
                <td>Modules::files()</td>
            </tr>
            <tr>
                <td>module_folders() (application_helper)</td>
                <td>Modules::folders()</td>
            </tr>
            <tr>
                <td>module_list() (application_helper)</td>
                <td>Modules::list_modules()</td>
            </tr>
            <tr>
                <td>module_path() (application_helper)</td>
                <td>Modules::path()</td>
            </tr>
            <tr>
                <td>form_has_error() (application_helper)</td>
                <td>form_error()</td>
            </tr>
            <tr>
                <td>$config['assets.base_folder']<br />
                    $config['assets.cache_folder']<br />
                    $config['assets.asset_folders']<br />
                    (config/application.php)
                </td>
                <td>$config['assets.directories']</td>
            </tr>
            <tr>
                <td>Assets::set_globals()</td>
                <td>Assets::setGlobals()</td>
            </tr>
            <tr>
                <td>Assets::$external_scripts</td>
                <td>Assets::$scripts['external']</td>
            </tr>
            <tr>
                <td>Assets::$inline_scripts</td>
                <td>Assets::$scripts['inline']</td>
            </tr>
            <tr>
                <td>Assets::$module_scripts</td>
                <td>Assets::$scripts['module']</td>
            </tr>
            <tr>
                <td>Migrations->error</td>
                <td>Migrations->getErrorMessage()</td>
            </tr>
            <tr>
                <td>Migrations->auto_latest()</td>
                <td>Migrations->autoLatest()</td>
            </tr>
            <tr>
                <td>Migrations->do_sql_migration()</td>
                <td>Migrations->doSqlMigration()</td>
            </tr>
            <tr>
                <td>Migrations->get_available_versions()</td>
                <td>Migrations->getAvailableVersions()</td>
            </tr>
            <tr>
                <td>Migrations->get_latest_version()</td>
                <td>Migrations->getVersion($type, true)</td>
            </tr>
            <tr>
                <td>Migrations->get_schema_version()</td>
                <td>Migrations->getVersion($type)</td>
            </tr>
            <tr>
                <td>Migrations->set_verbose()</td>
                <td>Migrations->setVerbose()</td>
            </tr>
            <tr>
                <td>Template::$layout</td>
                <td>Template::setLayout()<br />
                    Template::getLayout()
                </td>
            </tr>
        </tbody>
    </table>
