# Upgrading Bonfire

## 0.7.1 to 0.7.2

1. Update/install the files in the `/bonfire` directory
2. Update files in `/application/config` (be sure to migrate your customizations)
3. Update `/application/hooks/App_hooks.php` and `/application/errors/offline.php` (be sure to migrate your customizations)
4. Update files in `/application/third_party/MX`
5. Update `/application/libraries/Profiler.php` and `/application/views/profiler_template.php`
6. Add CommonMark driver(s) and related libraries (see the [CommonMark Library docs](developer/commonmark) for more information)
    - Add the `/application/libraries/CommonMark` directory
    - Add the `/application/libraries/CommonMark/drivers` directory (and any desired files from the directory)
    - If desired, add the `/application/libraries/Parsedown.php`
    - Install any desired library to be used with a CommonMark driver
7. Update use of language files:
    - Update `form_validation_lang.php` files in `/bonfire/codeigniter/language/`
    - Update `application_lang.php` files in `/application/language/`
    - If you use any of the following language lines in your application code, you will need to update your lang() or lang->line() calls to use the corresponding updated keys:
    <table>
        <thead>
            <tr>
                <th>0.7.1</th>
                <th>0.7.2</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>db_unsuported_compression (CI2)</td>
                <td>db_unsupported_compression</td>
            </tr>
            <tr>
                <td>db_unsuported_feature (CI2)</td>
                <td>db_unsupported_feature</td>
            </tr>
            <tr>
                <td>ftp_unable_to_makdir (CI2)</td>
                <td>ftp_unable_to_mkdir</td>
            </tr>
            <tr>
                <td>em_* (emailer module)</td>
                <td>emailer_*</td>
            </tr>
            <tr>
                <td>tr_* (translate module)</td>
                <td>translate_*</td>
            </tr>
        </tbody>
    </table>
8. Update `/public/themes/admin/js/jwerty.js`
9. If you wish to use CI3, [see the Bonfire CI3 docs](docs/ci3).
10. Run migrations
11. The following have been deprecated:
    <table>
        <thead>
            <tr>
                <th>0.7.1</th>
                <th>0.7.2</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>router->fetch_directory() (CI2)</td>
                <td>router->directory</td>
            </tr>
            <tr>
                <td>router->fetch_class() (CI2)</td>
                <td>router->class</td>
            </tr>
            <tr>
                <td>read_file() (CI2)</td>
                <td>file_get_contents()</td>
            </tr>
            <tr>
                <td>Contexts::set_contexts()</td>
                <td>Contexts::setContexts()</td>
            </tr>
            <tr>
                <td>Contexts::get_contexts()</td>
                <td>Contexts::getContexts()</td>
            </tr>
            <tr>
                <td>list_contexts() (application helper)</td>
                <td>Contexts::getContexts(true)</td>
            </tr>
        </tbody>
    </table>
